org.apache.uima.util

## Class LoggerPrintStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.PrintStream
      - - org.apache.uima.util.LoggerPrintStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class LoggerPrintStream
      extends PrintStream

  A PrintStream implementation that writes to a UIMA logger. Useful if you have a UIMA component that uses a 3rd-party package that logs to a PrintStream, and you want to redirect the output to the UIMA log.

  Note that only the output of `print` and `println` calls goes to the logger. Calls to the `write` methods are ignored since they take binary data which cannot be easily redirected to the logger.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerPrintStream(Logger logger, Level level)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `print(boolean b)`
    `void` | `print(char c)`
    `void` | `print(char[] s)`
    `void` | `print(double d)`
    `void` | `print(float f)`
    `void` | `print(int i)`
    `void` | `print(long l)`
    `void` | `print(Object obj)`
    `void` | `print(String s)`
    `void` | `println()`
    `void` | `println(boolean x)`
    `void` | `println(char x)`
    `void` | `println(char[] x)`
    `void` | `println(double x)`
    `void` | `println(float x)`
    `void` | `println(int x)`
    `void` | `println(long x)`
    `void` | `println(Object x)`
    `void` | `println(String x)`
    `void` | `write(byte[] aBuf, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.PrintStream

      `append, append, append, checkError, clearError, format, format, printf, printf, setError`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerPrintStream

          public LoggerPrintStream(Logger logger,
                                   Level level)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `PrintStream`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `PrintStream`

    - #### print

          public void print(boolean b)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(char c)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(char[] s)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(double d)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(float f)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(int i)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(long l)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(Object obj)

      Overrides:
        `print` in class `PrintStream`

    - #### print

          public void print(String s)

      Overrides:
        `print` in class `PrintStream`

    - #### println

          public void println()

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(boolean x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(char x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(char[] x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(double x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(float x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(int x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(long x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(Object x)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(String x)

      Overrides:
        `println` in class `PrintStream`

    - #### write

          public void write(byte[] aBuf,
                            int off,
                            int len)

      Overrides:
        `write` in class `PrintStream`

    - #### write

          public void write(int b)

      Overrides:
        `write` in class `PrintStream`

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.